%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir       %{moduledir}/drivers
%define gitdate 20140501
%define gitrev .%{gitdate}

%undefine _hardened_build

Summary:   Xorg X11 omapdrm driver
Name:      xorg-x11-drv-omap
Version:   0.4.3
Release:   22%{?gitrev}%{?dist}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

%if 0%{?gitdate}
Source0:    xf86-video-omap-%{gitdate}.tar.bz2
%else
Source0:    http://xorg.freedesktop.org/archive/individual/driver/xf86-video-omap-%{version}.tar.bz2
%endif
Source2:    make-git-snapshot.sh

ExclusiveArch: %{arm}

BuildRequires: kernel-headers >= 2.6.32.3
BuildRequires: pkgconfig(libdrm_omap)
BuildRequires: libudev-devel
BuildRequires: libXext-devel 
BuildRequires: libXrandr-devel 
BuildRequires: libXv-devel
BuildRequires: mesa-libGL-devel >= 6.5-9
BuildRequires: xorg-x11-server-devel >= 1.4.99.1-0.15
BuildRequires: autoconf automake libtool

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)

# last version of the xorg-x11-drv-omapfb in arm koji
Obsoletes: xorg-x11-drv-omapfb <= 0.1.1-3.git20110428.fc17
Provides: xorg-x11-drv-omapfb = 0.1.1-3.git20110428.fc17.1

%description 
X.Org X11 omapdrm driver for TI OMAP 3/4/5xxx series ARM devices.

%if 0%{?gitdate}
%define dirsuffix %{gitdate}
%else
%define dirsuffix %{version}
%endif

%prep
%setup -q -n xf86-video-omap-%{?gitdate:%{gitdate}}%{!?gitdate:%{dirsuffix}}

%build
%{?gitdate:autoreconf -v --install}

%configure --disable-static  --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags} V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%doc README COPYING
%{driverdir}/omap_drv.so
%{_mandir}/man4/omap.4*

%changelog
* Wed Sep 16 2015 Dave Airlie <airlied@redhat.com> - 0.4.3-22.20140501
- 1.18 ABI rebuild

* Tue Jun 23 2015 Adam Jackson <ajax@redhat.com> - 0.4.3-21.20140501
- Undefine _hardened_build

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-20.20140501
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 Hans de Goede <hdegoede@redhat.com> - 0.4.3-19.20140501
- xserver 1.17 ABI rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-18.20140501
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Hans de Goede <hdegoede@redhat.com> - 0.4.3-17.20140501
- xserver 1.15.99.903 ABI rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-16.20140501
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Dennis Gilmore <dennis@ausil.us> - 0.4.3-15.20140501
- fix up changelog

* Thu May 01 2014 Dennis Gilmore <dennis@ausil.us> - 0.4.3-14.20140501
- update git snapshot
- add script to make tarball from git
- xserver 1.15.99-20140428 git snapshot ABI rebuild
- sync package to match other x drivers

* Mon Jan 13 2014 Adam Jackson <ajax@redhat.com> - 0.4.3-13
- 1.15 ABI rebuild

* Tue Dec 17 2013 Adam Jackson <ajax@redhat.com> - 0.4.3-12
- 1.15RC4 ABI rebuild

* Wed Nov 20 2013 Adam Jackson <ajax@redhat.com> - 0.4.3-11
- 1.15RC2 ABI rebuild

* Wed Nov 06 2013 Adam Jackson <ajax@redhat.com> - 0.4.3-10
- 1.15RC1 ABI rebuild

* Fri Oct 25 2013 Adam Jackson <ajax@redhat.com> - 0.4.3-9
- ABI rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun  1 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.3-7
- Add upstream patch to fix page flip bugs

* Sun Mar 31 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.3-6
- Rebuild

* Thu Mar 07 2013 Peter Hutterer <peter.hutterer@redhat.com> - 0.4.3-5
- ABI rebuild

* Fri Feb 15 2013 Peter Hutterer <peter.hutterer@redhat.com> - 0.4.3-4
- ABI rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Feb 15 2013 Peter Hutterer <peter.hutterer@redhat.com> - 0.4.3-2
- ABI rebuild

* Tue Jan 15 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.3-1
- Update to the 0.4.3 tagged release

* Thu Jan 10 2013 Adam Jackson <ajax@redhat.com> - 0.4.2-3
- ABI rebuild

* Wed Oct 24 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.2-2
- Add patch to fix rotation detection

* Tue Oct 23 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.2-1
- Update to the 0.4.2 tagged release

* Wed Aug 01 2012 Dennis Gilmore <dennis@ausil.us> - 0.4.0-0.1.git201207801
- update to latest git snapshot

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.2.git20120511
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 11 2012 Dennis Gilmore <dennis@ausil.us> 0.0.1-0.1.git20120511
- initial fedora packaging
